---
title: CSSPropertyRule.syntax
slug: Web/API/CSSPropertyRule/syntax
tags:
  - API
  - CSS
  - CSS Properties and Values API
  - CSSPropertyRule
  - Experimental
  - Houdini
  - Property
  - Reference
  - Read-only
---
<div>{{APIRef("CSS Properties and Values API")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The read-only <strong><code>syntax</code></strong> property of the {{domxref("CSSPropertyRule")}} interface returns the literal syntax of the custom property registration represented by the {{domxref("@property")}} rule, controlling how the property’s value is parsed at computed-value time.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const <var>syntax</var> = CSSPropertyRule.syntax;</pre>

<h3>Value</h3>
<p>A {{domxref("USVString")}}.</p>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
    <tbody>
     <tr>
      <th scope="col">Specification</th>
      <th scope="col">Status</th>
      <th scope="col">Comment</th>
     </tr>
     <tr>
      <td>{{SpecName('CSS Properties and Values API','#dom-csspropertyrule-syntax','Syntax')}}</td>
      <td>{{Spec2('CSS Properties and Values API')}}</td>
      <td>Initial definition.</td>
     </tr>
    </tbody>
   </table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("api.CSSPropertyRule.syntax")}}</p>
